#
# spec file for package sgrep (Version 1.92a)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         sgrep
Copyright:    GPL
Group:        Utilities/Text
Provides:     sgrep 
Requires:     tk
Autoreqprov:  on
Version:      1.92a
Release:      348
Summary:      Search a file for a structured pattern
Source:      ftp://ftp.cs.helsinki.fi/pub/Software/Local/Sgrep/sgrep-%{version}.tar.gz
# Patch: sgrep-0.99.dif
URL:         http://www.cs.helsinki.fi/~jjaakkol/sgrep.html
BuildRoot:  /var/tmp/sgrep-root

%description
Search a file for a structured pattern

Authors:
--------
    Jani Jaakkola <jjaakkol@cs.helsinki.fi>
    Pekka Kilpelainen <kilpelai@cs.helsinki.fi>

SuSE series: sgm

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
# %patch

%build
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --prefix=%{_prefix} --sysconfdir=/etc --datadir=/etc \
              --mandir=%{_mandir}
make # "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s 

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  export RPM_BUILD_ROOT
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
# datadir=$RPM_BUILD_ROOT/etc
make prefix=$RPM_BUILD_ROOT%{_prefix} \
     datadir=$RPM_BUILD_ROOT/etc \
     mandir=$RPM_BUILD_ROOT/%{_mandir} install
%{INSTALL_DATA} sample.sgreprc $RPM_BUILD_ROOT/etc/sgreprc

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README sgrep.lsm
%doc sample.sgreprc
%config /etc/sgreprc
%{_bindir}/sgrep
%{_mandir}/*/*

%changelog -n sgrep
* Fri Nov 17 2000 - ke@suse.de
- cleanup spec file; use macros, add group tag (#4246).
* Fri Mar 03 2000 - uli@suse.de
- moved man page to %%{_mandir}
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Fri Jan 15 1999 - ke@suse.de
- update: version 1.92a.
* Mon Nov 24 1997 - ro@suse.de
- changes /usr/X11/bin to /usr/X11R6/bin
* Thu Aug 14 1997 - Karl Eichwalder <ke@suse.de>
  * initial package: version 0.99
